Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Libreoffice-3.6.1.2 fails to build with boost-1.50.0-r2
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Freeky
Tux's lil' helper
Tux's lil' helper


Joined: 11 Mar 2011
Posts: 86
Location: Novosibirsk, Russia

PostPosted: Tue Sep 04, 2012 1:23 am    Post subject: Libreoffice-3.6.1.2 fails to build with boost-1.50.0-r2 Reply with quote

Libreoffice can't find boost/shared_ptr.hpp. But
Code:

equery b boost/shared_ptr.hpp
 * Searching for boost/shared_ptr.hpp ...
dev-cpp/clucene-2.3.3.4-r3 (/usr/include/CLucene/ext/boost/shared_ptr.hpp)
dev-libs/boost-1.50.0-r2 (/usr/include/boost-1_50/boost/shared_ptr.hpp)


build.log:
Code:
 * Package:    app-office/libreoffice-3.6.1.2
 * Repository: gentoo
 * Maintainer: openoffice@gentoo.org
 * USE:        branding dbus elibc_glibc gtk kernel_linux libreoffice_extensions_presenter-console libreoffice_extensions_presenter-minimizer opengl svg userland_GNU vba webdav x86
 * FEATURES:   ccache preserve-libs sandbox
 * Checking for at least 512 mebibytes RAM ...[ok]
 * Checking for at least 6 gibibytes disk space at "/mnt/slag/portage/app-office/libreoffice-3.6.1.2/temp" ...[ok]
>>> Unpacking source...
>>> Unpacking libreoffice-branding-gentoo-0.6.tar.xz to /mnt/slag/portage/app-office/libreoffice-3.6.1.2/work
>>> Unpacking libreoffice-core-3.6.1.2.tar.xz to /mnt/slag/portage/app-office/libreoffice-3.6.1.2/work
>>> Unpacking libreoffice-help-3.6.1.2.tar.xz to /mnt/slag/portage/app-office/libreoffice-3.6.1.2/work
>>> Source unpacked in /mnt/slag/portage/app-office/libreoffice-3.6.1.2/work
>>> Preparing source in /mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/libreoffice-core-3.6.1.2 ...
 * Applying libreoffice-3.6-system-pyuno.patch ...[ok]
 * Running eautoreconf in '/mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/libreoffice-core-3.6.1.2' ...
 * Running aclocal -I m4 ...[ok]
 * Running autoconf -I m4 ...[ok]
>>> Source prepared.
>>> Configuring source in /mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/libreoffice-core-3.6.1.2 ...
«/mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/branding-intro.png» -> «/mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/libreoffice-core-3.6.1.2/icon-themes/galaxy/brand/intro.png»
 * econf: updating libreoffice-core-3.6.1.2/dmake/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating libreoffice-core-3.6.1.2/dmake/config.sub with /usr/share/gnuconfig/config.sub
 * econf: updating libreoffice-core-3.6.1.2/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating libreoffice-core-3.6.1.2/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --docdir=/usr/share/doc/libreoffice-3.6.1.2/ --with-system-headers --with-system-libs --with-system-jars --with-system-dicts --enable-graphite --enable-cairo-canvas --enable-largefile --disable-mergelibs --enable-python=system --enable-randr --enable-randr-link --enable-release-build --enable-unix-qstart-libpng --enable-xmlsec --disable-ccache --disable-crashdump --disable-dependency-tracking --disable-epm --disable-fetch-external --disable-gnome-vfs --disable-ext-report-builder --disable-kdeab --disable-kde --disable-ldap --disable-mozilla --disable-nsplugin --disable-online-update --disable-pch --disable-rpath --disable-systray --disable-zenity --with-alloc=system --with-build-version=Gentoo official package --enable-extension-integration --with-external-dict-dir=/usr/share/myspell --with-external-hyph-dir=/usr/share/myspell --with-external-thes-dir=/usr/share/myspell --with-external-tar=/mnt/slag/portage/app-office/libreoffice-3.6.1.2/distdir --with-lang= --with-max-jobs=2 --with-num-cpus=2 --with-unix-wrapper=libreoffice --with-vendor=Gentoo Foundation --with-x --without-afms --without-fonts --without-myspell-dicts --without-stlport --without-system-mozilla --without-help --with-helppack-integration --without-sun-templates --disable-gtk3 --disable-binfilter --disable-cups --enable-dbus --disable-evolution2 --disable-gconf --disable-gio --disable-lockdown --disable-gstreamer --enable-gtk --disable-kde4 --disable-ext-mysql-connector --disable-odk --enable-opengl --disable-postgresql-sdbc --enable-librsvg=system --disable-linkoo --enable-vba --enable-neon --without-java --without-system-mysql-cppconn --without-doxygen --without-system-sane --without-system-vigra --disable-ext-nlpsolver --disable-ext-pdfimport --enable-ext-presenter-console --enable-ext-presenter-minimizer --disable-ext-scripting-beanshell --disable-ext-scripting-javascript --disable-ext-wiki-publisher
********************************************************************
*
*   Running LibreOffice build configuration.
*
********************************************************************

checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for grep... (cached) /bin/grep
checking for sed... /bin/sed
checking for gawk... gawk
checking for gawk... /usr/bin/gawk
checking for bash... /bin/sh
checking for GNU or BSD tar... tar
checking for tar's option to strip components... --strip-components
checking gcc home... /usr/lib/ccache
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking for i686-pc-linux-gnu-gcc... /usr/lib/ccache/bin/i686-pc-linux-gnu-gcc
checking the GCC version... gcc 4.7.1
checking whether GCC is actually Clang... no
checking whether i686-pc-linux-gnu-gcc supports -ggdb2... yes
checking whether i686-pc-linux-gnu-gcc supports -finline-limit=0... yes
checking whether i686-pc-linux-gnu-gcc supports -fno-inline... yes
checking for -Bsymbolic-functions linker support ... found
checking whether to build with additional debug utilities... no, full product build
checking whether to enable crashdump feature... no
checking whether to turn warnings to errors... no
checking whether to do a debug build... no
checking whether to use linkoo for the smoketest installation... no
checking whether to use link-time optimization... no
checking whether to include symbols... no
checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for FONTCONFIG... yes
checking whether we want to fetch tarballs... no
checking whether to enable filters for legacy binary file formats (StarOffice 5.2)... no
checking whether to build help... no
checking whether to include MySpell dictionaries... no
checking whether to use dicts from external paths... yes
checking for spelling dictionary directory... file:///usr/share/myspell
checking for hyphenation patterns directory... file:///usr/share/myspell
checking for thesaurus directory... file:///usr/share/myspell
checking whether to enable pch feature... no, obsolete
checking for GNU make... make
checking the GNU make version... make 3.82
checking whether GNU make supports the 'file' function... no
checking for --hash-style gcc linker support ... gnu
checking for perl... /usr/bin/perl
checking the Perl version... checked (perl 5)
checking for required Perl modules... all modules found
checking for i686-pc-linux-gnu-pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for i686-pc-linux-gnu-ar... i686-pc-linux-gnu-ar
checking for i686-pc-linux-gnu-nm... i686-pc-linux-gnu-nm
checking for i686-pc-linux-gnu-objdump... i686-pc-linux-gnu-objdump
checking for i686-pc-linux-gnu-ranlib... i686-pc-linux-gnu-ranlib
checking for i686-pc-linux-gnu-strip... i686-pc-linux-gnu-strip
checking for ANSI C header files... no
checking for i686-pc-linux-gnu-g++... i686-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... yes
checking whether i686-pc-linux-gnu-g++ accepts -g... yes
checking the GNU C++ compiler version... checked (g++ 4.7.1)
checking how to run the C++ preprocessor... i686-pc-linux-gnu-g++ -E
checking how to run the C preprocessor... i686-pc-linux-gnu-gcc -E
checking size of long... 4
checking size of short... 2
checking size of int... 4
checking size of long long... 8
checking size of double... 8
checking size of void*... 4
checking alignment of short... 2
checking alignment of int... 4
checking alignment of long... 4
checking alignment of double... 4
checking whether byte ordering is bigendian... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking valgrind.h usability... no
checking valgrind.h presence... no
checking for valgrind.h... no
checking valgrind.h usability... no
checking valgrind.h presence... no
checking for valgrind.h... no
checking Whether building STLPort library makes sense... yes
checking Whether STLPort library will be actually built... no
checking for g++ include path... /usr/lib/gcc/i686-pc-linux-gnu/4.7.1/include/g++-v4
checking whether i686-pc-linux-gnu-g++ supports thread safe statics... yes
checking whether i686-pc-linux-gnu-gcc supports -fvisibility=hidden... yes
checking whether i686-pc-linux-gnu-gcc supports -Wno-long-double... yes
checking whether i686-pc-linux-gnu-gcc supports -mno-avx... yes
checking whether i686-pc-linux-gnu-gcc supports -std=gnu++0x without Language Defect 757... yes
checking if STL headers are visibility safe (GCC bug 22482)... yes
checking if gcc is -fvisibility-inlines-hidden safe with STL headers... yes
checking if gcc is -fvisibility-inlines-hidden safe (Clang bug 11250)... yes
checking if gcc has a visibility bug with class-level attributes (GCC bug 26905)... no
checking if SFINAE is broken with anonymous types... no
checking whether i686-pc-linux-gnu-g++ supports -fno-default-inline... yes
checking whether i686-pc-linux-gnu-g++ supports -fno-enforce-eh-specs... yes
checking which memory allocator to use... system
checking for malloc... yes
checking for realloc... yes
checking for calloc... yes
checking for free... yes
checking for posix_fallocate... yes
checking whether to add custom build version... yes, Gentoo official package
checking whether to build with Java support... no
checking for dmake... no
dmake will be built on ./bootstrap
checking whether to enable EPM for packing... no
checking for gperf... /usr/bin/gperf
checking gperf version... OK
checking whether to build the ODK... no
checking whether to provide libstdc++/libgcc_s in the installset... no
checking which zlib to use... external
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for deflate in -lz... yes
checking which jpeg to use... external
checking jpeglib.h usability... yes
checking jpeglib.h presence... yes
checking for jpeglib.h... yes
checking for jpeg_resync_to_restart in -ljpeg... yes
checking which clucene to use... external
checking for CLUCENE... yes
checking for CLucene/analysis/cjk/CJKAnalyzer.h... yes
checking which expat to use... external
checking expat.h usability... yes
checking expat.h presence... yes
checking for expat.h... yes
checking for XML_ParserCreate in -lexpat... yes
checking which libcdr to use... external
checking for CDR... yes
checking which libvisio to use... external
checking for VISIO... yes
checking which libcmis to use... external
checking for LIBCMIS... yes
checking which libwpd to use... external
checking for WPD... yes
checking which littlecms v2 to use... external
checking for LCMS2... yes
checking which cppunit to use... external
checking for CPPUNIT... yes
checking whether freetype is available... checking for FREETYPE... yes
checking which libwps to use... external
checking for WPS... yes
checking which libwpg to use... external
checking for WPG... yes
checking for FT_GlyphSlot_Embolden in -lfreetype... yes
checking which libxslt to use... external
checking for LIBXSLT... yes
checking for xsltproc... /usr/bin/xsltproc
checking which libxml to use... external
checking for LIBXML... yes
checking for xmllint... /usr/bin/xmllint
checking which Python to use... system
checking for a Python interpreter with version >= 2.6... python
checking for python... /usr/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.7/site-packages
checking Python.h usability... yes
checking Python.h presence... yes
checking for Python.h... yes
checking which db to use... external
checking db-5.3/db.h usability... no
checking db-5.3/db.h presence... no
checking for db-5.3/db.h... no
checking db5.3/db.h usability... no
checking db5.3/db.h presence... no
checking for db5.3/db.h... no
checking db-5.1/db.h usability... no
checking db-5.1/db.h presence... no
checking for db-5.1/db.h... no
checking db5.1/db.h usability... no
checking db5.1/db.h presence... no
checking for db5.1/db.h... no
checking db-5.0/db.h usability... no
checking db-5.0/db.h presence... no
checking for db-5.0/db.h... no
checking db5.0/db.h usability... no
checking db5.0/db.h presence... no
checking for db5.0/db.h... no
checking db-5/db.h usability... no
checking db-5/db.h presence... no
checking for db-5/db.h... no
checking db5/db.h usability... no
checking db5/db.h presence... no
checking for db5/db.h... no
checking db-4.8/db.h usability... no
checking db-4.8/db.h presence... no
checking for db-4.8/db.h... no
checking db4.8/db.h usability... yes
checking db4.8/db.h presence... yes
checking for db4.8/db.h... yes
checking whether db is at least 4.1... yes
checking for dbopen in -ldb-4.8... no
checking for __db185_open in -ldb-4.8... yes
checking whether to build the MySQL Connector extension... no
checking whether building the stax is required... no (java disabled)
checking which libcurl to use... external
checking for curl-config... /usr/bin/curl-config
checking whether libcurl is >= 7.13.1... yes, you have 7.27.0
checking which boost to use... external
checking boost/shared_ptr.hpp usability... no
checking boost/shared_ptr.hpp presence... no
checking for boost/shared_ptr.hpp... no
configure: error: boost/shared_ptr.hpp not found. install boost

!!! Please attach the following file when seeking support:
!!! /mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/libreoffice-core-3.6.1.2/config.log
 * ERROR: app-office/libreoffice-3.6.1.2 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_configure
 *        environment, line 8974:  Called econf '--docdir=/usr/share/doc/libreoffice-3.6.1.2/' '--with-system-headers' '--with-system-libs' '--with-system-jars' '--with-system-dicts' '--enable-graphite' '--enable-cairo-canvas' '--enable-largefile' '--disable-mergelibs' '--enable-python=system' '--enable-randr' '--enable-randr-link' '--enable-release-build' '--enable-unix-qstart-libpng' '--enable-xmlsec' '--disable-ccache' '--disable-crashdump' '--disable-dependency-tracking' '--disable-epm' '--disable-fetch-external' '--disable-gnome-vfs' '--disable-ext-report-builder' '--disable-kdeab' '--disable-kde' '--disable-ldap' '--disable-mozilla' '--disable-nsplugin' '--disable-online-update' '--disable-pch' '--disable-rpath' '--disable-systray' '--disable-zenity' '--with-alloc=system' '--with-build-version=Gentoo official package' '--enable-extension-integration' '--with-external-dict-dir=/usr/share/myspell' '--with-external-hyph-dir=/usr/share/myspell' '--with-external-thes-dir=/usr/share/myspell' '--with-external-tar=/mnt/slag/portage/app-office/libreoffice-3.6.1.2/distdir' '--with-lang=' '--with-max-jobs=2' '--with-num-cpus=2' '--with-unix-wrapper=libreoffice' '--with-vendor=Gentoo Foundation' '--with-x' '--without-afms' '--without-fonts' '--without-myspell-dicts' '--without-stlport' '--without-system-mozilla' '--without-help' '--with-helppack-integration' '--without-sun-templates' '--disable-gtk3' '--disable-binfilter' '--disable-cups' '--enable-dbus' '--disable-evolution2' '--disable-gconf' '--disable-gio' '--disable-lockdown' '--disable-gstreamer' '--enable-gtk' '--disable-kde4' '--disable-ext-mysql-connector' '--disable-odk' '--enable-opengl' '--disable-postgresql-sdbc' '--enable-librsvg=system' '--disable-linkoo' '--enable-vba' '--enable-neon' '--without-java' '--without-system-mysql-cppconn' '--without-doxygen' '--without-system-sane' '--without-system-vigra' '--disable-ext-nlpsolver' '--disable-ext-pdfimport' '--enable-ext-presenter-console' '--enable-ext-presenter-minimizer' '--disable-ext-scripting-beanshell' '--disable-ext-scripting-javascript' '--disable-ext-wiki-publisher'
 *   phase-helpers.sh, line  499:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *
 * If you need support, post the output of `emerge --info '=app-office/libreoffice-3.6.1.2'`,
 * the complete build log and the output of `emerge -pqv '=app-office/libreoffice-3.6.1.2'`.
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME="/etc/java-config-2/current-system-vm"
JAVACFLAGS="" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/mnt/slag/portage/app-office/libreoffice-3.6.1.2/temp/build.log'.
 * The ebuild environment file is located at '/mnt/slag/portage/app-office/libreoffice-3.6.1.2/temp/environment'.
 * Working directory: '/mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/libreoffice-core-3.6.1.2'
 * S: '/mnt/slag/portage/app-office/libreoffice-3.6.1.2/work/libreoffice-core-3.6.1.2'
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5282

PostPosted: Tue Sep 04, 2012 12:57 pm    Post subject: Reply with quote

If you're not married to compiling LibreOffice, emerge libreoffice-bin as a workaround.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4681
Location: Saint Amant, Acadiana

PostPosted: Tue Sep 04, 2012 1:50 pm    Post subject: Reply with quote

The version of boost you are using is hard masked. I'd say if you want to use it with such a fragile build as Libreoffice then you are pretty much in your own.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
Freeky
Tux's lil' helper
Tux's lil' helper


Joined: 11 Mar 2011
Posts: 86
Location: Novosibirsk, Russia

PostPosted: Tue Sep 04, 2012 5:27 pm    Post subject: Reply with quote

I found that app-office/libreoffice-3.6.1.2 successful emerging with dev-libs/boost-1.50.0 and dev-util/boost-build-1.50.0 but not with dev-libs/boost-1.50.0-r2 and dev-util/boost-build-1.50.0-r3.

I think it because of dev-libs/boost-1.50.0-r2 doesn't install any eselect modules and libreoffice ebuild can't find boost.
Back to top
View user's profile Send private message
Freeky
Tux's lil' helper
Tux's lil' helper


Joined: 11 Mar 2011
Posts: 86
Location: Novosibirsk, Russia

PostPosted: Tue Oct 09, 2012 2:11 am    Post subject: Reply with quote

Similar error present for many packages which depend on boost: https://bugs.gentoo.org/show_bug.cgi?id=432968#c2.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum